import sys
sys.path.append('../common/')

import time

import pygame

import httpserver
import monster
import player
import server

if len(sys.argv) > 1:
    hostname = sys.argv[1]
else:
    hostname = ''

clock = pygame.time.Clock()

def main():
    while 1:
        clock.tick(5)
        server.global_lock.acquire()
        try:
            player.update()
            monster.step()
        finally: server.global_lock.release()

httpserver = httpserver.Server(hostname, 8675, 3)
httpserver.start_threads()
print "Started..."

main()
